import request from "@/utils/request"

// 获取企业推荐信列表
export const getRecommendationPage = async (data) => {
	return request({
		url: '/app-api/flames/student/recommendation/list',
		method: 'POST',
		data,
		custom: {
			openEncryption: true,
			showLoading: false,
			auth: true
		}
	})
}

// 获取实习证书列表
export const getEnterpriseCertificateList = async (data) => {
	return request({
		url: '/app-api/flames/student/internship/certificate/list',
		method: 'POST',
		data,
		custom: {
			openEncryption: true,
			showLoading: false,
			auth: true
		}
	})
}

// 获取学校详情
export const getSchoolDetails = async (data) => {
	return request({
		url: '/app-api/flames/school/detail',
		method: 'POST',
		data,
		custom: {
			openEncryption: true,
			showLoading: false,
			auth: true
		}
	})
}

// 获得学生实习记录分页
export const getStudentPage = async (params) => {
	return request({
		url: '/app-api/menduner/system/student/page',
		method: 'GET',
		params,
		custom: {
			auth: true
		}
	})
}